interactions:
- request:
    body: '{"login_id": "bluepill", "password": "jeeS8ohF0beixeiraire", "token": null}'
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      Content-Length: ['75']
      Content-Type: [application/json]
      User-Agent: [python-requests/2.20.0]
    method: POST
    uri: https://framateam.org/api/v4/users/login
  response:
    body: {string: '{"id":"zh9teaxhwjge8csqebpbbks1so","create_at":1541501244804,"update_at":1541501314228,"delete_at":0,"username":"bluepill","auth_data":"","auth_service":"","email":"bluepill@yopmail.com","email_verified":true,"nickname":"","first_name":"","last_name":"","position":"","roles":"system_user","allow_marketing":true,"notify_props":{"channel":"true","comments":"never","desktop":"mention","desktop_sound":"true","email":"true","first_name":"false","mention_keys":"bluepill,@bluepill","push":"mention","push_status":"away"},"last_password_update":1541501244804,"locale":"fr","timezone":{"automaticTimezone":"","manualTimezone":"","useAutomaticTimezone":"true"}}'}
    headers:
      Connection: [keep-alive]
      Content-Length: ['656']
      Content-Type: [application/json]
      Date: ['Wed, 14 Nov 2018 10:47:19 GMT']
      Server: [nginx]
      Set-Cookie: ['MMAUTHTOKEN=9ekquga5cbrudekkc698aw1ujr; Path=/; Expires=Fri, 14
          Dec 2018 10:47:19 GMT; Max-Age=2592000; HttpOnly; Secure', 'MMUSERID=zh9teaxhwjge8csqebpbbks1so;
          Path=/; Expires=Fri, 14 Dec 2018 10:47:19 GMT; Max-Age=2592000; Secure']
      Token: [9ekquga5cbrudekkc698aw1ujr]
      Vary: [Origin]
      X-Request-Id: [pzibib7343ndtpd93o7e7k5hfr]
      X-Version-Id: [5.3.0.5.3.1.c0913f6a4bb8547cfecbaba42e7818da.false]
    status: {code: 200, message: OK}
- request:
    body: '["zh9teaxhwjge8csqebpbbks1so", "g576161drfdujpcbahhsgezcky"]'
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer 9ekquga5cbrudekkc698aw1ujr]
      Connection: [keep-alive]
      Content-Length: ['60']
      Content-Type: [application/json]
      User-Agent: [python-requests/2.20.0]
    method: POST
    uri: https://framateam.org/api/v4/channels/direct
  response:
    body: {string: '{"id":"93om3e6jf7bnfbr6qaetfyanke","create_at":1541501357770,"update_at":1541501357770,"delete_at":0,"team_id":"","type":"D","display_name":"","name":"g576161drfdujpcbahhsgezcky__zh9teaxhwjge8csqebpbbks1so","header":"","purpose":"","last_post_at":1542125930963,"total_msg_count":7,"extra_update_at":0,"creator_id":"","scheme_id":null,"props":null}'}
    headers:
      Connection: [keep-alive]
      Content-Length: ['347']
      Content-Type: [application/json]
      Date: ['Wed, 14 Nov 2018 10:47:19 GMT']
      Server: [nginx]
      Vary: [Origin]
      X-Request-Id: [ypnkmqm7f7r3unxfk8fcgmsu8y]
      X-Version-Id: [5.3.0.5.3.1.c0913f6a4bb8547cfecbaba42e7818da.false]
    status: {code: 201, message: Created}
- request:
    body: '{"message": "bonjour", "channel_id": "93om3e6jf7bnfbr6qaetfyanke"}'
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: [Bearer 9ekquga5cbrudekkc698aw1ujr]
      Connection: [keep-alive]
      Content-Length: ['66']
      Content-Type: [application/json]
      User-Agent: [python-requests/2.20.0]
    method: POST
    uri: https://framateam.org/api/v4/posts
  response:
    body: {string: '{"id":"4wx77x4b1bn69qe7x33i9wbn7w","create_at":1542192442006,"update_at":1542192442006,"edit_at":0,"delete_at":0,"is_pinned":false,"user_id":"zh9teaxhwjge8csqebpbbks1so","channel_id":"93om3e6jf7bnfbr6qaetfyanke","root_id":"","parent_id":"","original_id":"","message":"bonjour","type":"","props":{},"hashtags":"","pending_post_id":""}'}
    headers:
      Connection: [keep-alive]
      Content-Length: ['333']
      Content-Type: [application/json]
      Date: ['Wed, 14 Nov 2018 10:47:22 GMT']
      Server: [nginx]
      Vary: [Origin]
      X-Request-Id: [jc1qce4fwtfspgrwkp5s85doah]
      X-Version-Id: [5.3.0.5.3.1.c0913f6a4bb8547cfecbaba42e7818da.false]
    status: {code: 201, message: Created}
version: 1
